Subject: Re: [bug#28830] [PATCH] gnu: Add emacs-ggtags.

From: Christopher Baines <[email-masked]>
Date: Tue, 31 Oct 2017 08:22:18 +0000

On Mon, 16 Oct 2017 13:22:23 +0300
Oleg Pykhalov <[email-masked]> wrote:

> Hello Christopher,
> 
> Christopher Baines <[email-masked]> writes:
> 
> [...]
> 
> >> +    (synopsis "Frontend to GNU Global source code tagging system")  
> >
> > I'd suggest putting "the" in here, so "Frontend to the GNU Global ...",
> > as I think that reads better.  
> 
> [...]
> 
> > Similarly with "the GNU Global" in the description. What do you think?
> > Apart from that, this looks fine to me :)  
> 
> I don't think so.  Upstream¹ doesn't have an article “the” before GNU
> Global, too.  WDYT?
> 
> ¹ http://elpa.gnu.org/packages/ggtags.html

I don't think there is any harm in improving on the descriptions of the
software from the upstream source. But I'll leave it up to you to make
the decision.

Unfortunately, I don't have a very formal understanding of English
grammar, but there is some information about definite articles [1].
Which I think says that its appropriate to use as there is one,
specific "GNU Global source code tagging system".

1: https://learnenglish.britishcouncil.org/en/english-grammar/determiners-and-quantifiers/definite-article